### Enumeration

# FwupdPlugin EfiVariableState

since: 1.0

#### Declaration

    enum FwupdPlugin.EfiVariableState

#### Description

No description available.

Available since: 1.0

#### Members

`FU_EFI_VARIABLE_STATE_UNSET`
  No description available.
  - Value: `0`
  - Nickname: `None`
  - Available since: 1.0
`FU_EFI_VARIABLE_STATE_VARIABLE_IN_DELETED_TRANSITION`
  No description available.
  - Value: `254`
  - Nickname: `None`
  - Available since: 1.0
`FU_EFI_VARIABLE_STATE_VARIABLE_DELETED`
  No description available.
  - Value: `253`
  - Nickname: `None`
  - Available since: 1.0
`FU_EFI_VARIABLE_STATE_VARIABLE_HEADER_VALID`
  No description available.
  - Value: `127`
  - Nickname: `None`
  - Available since: 1.0
`FU_EFI_VARIABLE_STATE_VARIABLE_ADDED`
  No description available.
  - Value: `63`
  - Nickname: `None`
  - Available since: 1.0
`FU_EFI_VARIABLE_STATE_INTEL_VARIABLE_VALID`
  No description available.
  - Value: `252`
  - Nickname: `None`
  - Available since: 1.0
`FU_EFI_VARIABLE_STATE_INTEL_VARIABLE_INVALID`
  No description available.
  - Value: `248`
  - Nickname: `None`
  - Available since: 1.0